Bug 648466 - Review Request: php-phpunit-PHP-CodeBrowser - PHP_CodeBrowser for integration in Hudson and CruiseControl
Summary: Review Request: php-phpunit-PHP-CodeBrowser - PHP_CodeBrowser for integratio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 648465
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-01 11:42 UTC by Christof Damian
Modified: 2010-11-17 23:22 UTC (History)
3 users (show)

Fixed In Version: php-phpunit-PHP-CodeBrowser-0.9.1-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-17 23:22:20 UTC
Type: ---
fedora: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Christof Damian 2010-11-01 11:42:52 UTC
Spec URL: http://rpms.damian.net/SPECS/php-phpunit-PHP-CodeBrowser.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-phpunit-PHP-CodeBrowser-0.9.1-1.fc13.src.rpm
Description: PHP_CodeBrowser for integration in Hudson and CruiseControl

rpmlint:
php-phpunit-PHP-CodeBrowser.noarch: W: no-manual-page-for-binary phpcb
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

Comment 1 Remi Collet 2010-11-06 08:40:59 UTC
First notes

1/ See comment about requires in review #648465
So Requires should be

Requires:       php-pear(Console_CommandLine) >= 1.1.3
Requires:       php-pear(pear.phpunit.de/File_Iterator) >= 1.2.1
Requires:       php-pear(Log) >= 1.12.1

2/ doc should be moved in %doc :
/usr/share/pear/doc/PHP_CodeBrowser/CHANGELOG.markdown
/usr/share/pear/doc/PHP_CodeBrowser/LICENSE
/usr/share/pear/doc/PHP_CodeBrowser/README.markdown

Well, the %doc %{pear_docdir}/%{pear_name} should be ok, but all other package use /usr/share/doc/php-phpunit-PHP-CodeBrowser-0.9.1... (except for php-pear, and there is open bug about this...)

I'm really annoyed with this doc... as the result from "pear list-files" is false when moved to another dir.

Could a link from %{pear_docdir}/%{pear_name} to /usr/share/doc/php-phpunit-PHP-CodeBrowser-0.9.1 be acceptable by Guidelines ? (we should raise a FPC discussion about this)

Comment 2 Christof Damian 2010-11-06 18:13:53 UTC
Spec URL: http://rpms.damian.net/SPECS/php-phpunit-PHP-CodeBrowser.spec
SRPM URL:
http://rpms.damian.net/SRPMS/php-phpunit-PHP-CodeBrowser-0.9.1-2.fc13.src.rpm

new version uploaded. I hope the doc location is to your liking :-)

Yes, it is annoying that the docs have to be moved. The spec files for pear packages could be a lot simpler and PHP developers feel more at home when using Fedora.

Comment 3 Remi Collet 2010-11-07 15:24:39 UTC
> I hope the doc location is to your liking :-)
NO !
I will prefer a better solution. But this is the standard one used in fedora.


This package have optional deps :
 "pear/Text_Highlighter" (version >= 0.7.1)
 "channel://pear.phpunit.de/PHPUnit" (version >= 3.4.0)
 "channel://pear.phpundercontrol.org/phpUnderControl" (version >= 0.5.0)
 "pear/PHP_CodeSniffer" (version >= 1.2.0)
 "pear/PhpDocumentor" (version >= 1.4.3)

With pear package, I think optional dep can be make "mandatory" (ie Requires in spec, when available in the repo.) as packages are small, and don't eat memory if not used.

This is the packager choice.

Comment 4 Remi Collet 2010-11-07 15:25:08 UTC
=== FORMAL REVIEW ===
 -=N/A  x=Check  !=Problem,  ?=Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the PHP specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: F-14 x86_64
 [x] Rpmlint output:
php-phpunit-PHP-CodeBrowser.spec: I: checking-url http://pear.phpunit.de/get/PHP_CodeBrowser-0.9.1.tgz (timeout 10 seconds)
php-phpunit-PHP-CodeBrowser.src: I: checking
php-phpunit-PHP-CodeBrowser.src: I: checking-url http://github.com/mayflowergmbh/PHP_CodeBrowser (timeout 10 seconds)
php-phpunit-PHP-CodeBrowser.src: I: checking-url http://pear.phpunit.de/get/PHP_CodeBrowser-0.9.1.tgz (timeout 10 seconds)
php-phpunit-PHP-CodeBrowser.noarch: I: checking
php-phpunit-PHP-CodeBrowser.noarch: I: checking-url http://github.com/mayflowergmbh/PHP_CodeBrowser (timeout 10 seconds)
php-phpunit-PHP-CodeBrowser.noarch: W: no-manual-page-for-binary phpcb
2 packages and 1 specfiles checked; 0 errors, 1 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
	Used : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: BSD
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
	md5sum : 2ad66f8dc7e3ce4c7673c07a96b7bdcb  PHP_CodeBrowser-0.9.1.tgz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final requires
/bin/sh  
/usr/bin/pear  
/usr/bin/php  
php-channel(pear.phpunit.de)  
php-common >= 5.2.6
php-pear(Console_CommandLine) >= 1.1.3
php-pear(Log) >= 1.12.1
php-pear(pear.phpunit.de/File_Iterator) >= 1.2.1
 [x] Final provides
php-pear(pear.phpunit.de/PHP_CodeBrowser) = 0.9.1
php-phpunit-PHP-CodeBrowser = 0.9.1-2.fc14
=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: f14 i386
 [-] Package should compile and build into binary rpms on all supported
architectures.
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the tests pass

Koji scratch build : http://koji.fedoraproject.org/koji/taskinfo?taskID=2584398

***** APPROVED *****

Comment 5 Christof Damian 2010-11-07 18:45:27 UTC
(In reply to comment #3)
> > I hope the doc location is to your liking :-)
> NO !
> I will prefer a better solution. But this is the standard one used in fedora.

Very well, I will change it once Fedora provides a better standard.

> This package have optional deps :
>  "pear/Text_Highlighter" (version >= 0.7.1)
>  "channel://pear.phpunit.de/PHPUnit" (version >= 3.4.0)
>  "channel://pear.phpundercontrol.org/phpUnderControl" (version >= 0.5.0)
>  "pear/PHP_CodeSniffer" (version >= 1.2.0)
>  "pear/PhpDocumentor" (version >= 1.4.3)
> 
> With pear package, I think optional dep can be make "mandatory" (ie Requires in
> spec, when available in the repo.) as packages are small, and don't eat memory
> if not used.

OK, I think we got them except of phpUnderControl.

thanks for the review and your help.

Comment 6 Christof Damian 2010-11-07 18:48:46 UTC
(In reply to comment #4)
> 
> ***** APPROVED *****

New Package SCM Request
=======================
Package Name: php-phpunit-PHP-CodeBrowser
Short Description: PHP_CodeBrowser for integration in Hudson and CruiseControl
Owners: cdamian
Branches: f13 f14 el5 el6

Comment 7 Jason Tibbitts 2010-11-08 13:28:57 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2010-11-08 18:58:27 UTC
php-phpunit-PHP-CodeBrowser-0.9.1-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/php-phpunit-PHP-CodeBrowser-0.9.1-3.fc13

Comment 9 Fedora Update System 2010-11-10 01:14:05 UTC
php-phpunit-PHP-CodeBrowser-0.9.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-phpunit-PHP-CodeBrowser'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/php-phpunit-PHP-CodeBrowser-0.9.1-3.fc13

Comment 10 Fedora Update System 2010-11-17 23:22:12 UTC
php-phpunit-PHP-CodeBrowser-0.9.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.